# Uses of Class
ch.qos.logback.core.joran.action.ImplicitAction

Packages that use ImplicitAction
Package
Description
ch.qos.logback.core.joran.action
ch.qos.logback.core.joran.spi

## Uses of ImplicitAction in ch.qos.logback.core.joran.action

Subclasses of ImplicitAction in ch.qos.logback.core.joran.action
Modifier and Type
Class
Description
`class`
`NestedBasicPropertyIA`
This action is responsible for tying together a parent object with one of its simple properties specified as an element but for which there is no explicit rule.
`class`
`NestedComplexPropertyIA`
This action is responsible for tying together a parent object with a child element for which there is no explicit rule.

## Uses of ImplicitAction in ch.qos.logback.core.joran.spi

Methods in ch.qos.logback.core.joran.spi with parameters of type ImplicitAction
Modifier and Type
Method
Description
`void`
Interpreter.`addImplicitAction(ImplicitAction ia)`